Subject: Re: [kitten] krb5 gss_pseudo_random implementation/spec variance

From: Jeffrey Hutzelman <[email-masked]>
Date: Wed, 11 Dec 2013 17:17:24 -0500

On Wed, 2013-12-11 at 16:12 -0500, Greg Hudson wrote:

> The MIT krb5 implementation (present since release 1.8 in early 2010)
> starts at 00 00 00 00 instead of 00 00 00 01.
> 
> The Heimdal implementation (present since release 1.4 in late 2010) also
> starts at 00 00 00 00.  Heimdal encoded the counter in little-endian,
> but this was changed to big-endian on master on 2013-10-30.  Because
> both implementations start at zero, the difference in endianness
> doesn't cause a discrepancy in the first block of output.

... and this is why things like this ought to have test vectors.
Which, of course, only helps you if the test vectors weren't generated
by running an incorrect implementation.

-- Jeff